########################################################################
# Tootsville DEVELOPMENT SERVER (Rei) Configuration!                   #
# Configuration properties for Appius Claudius Caecus                  #
########################################################################

# Configuration for host: Rama-Dev
org.starhope.appius.jdbc.useTomcat=true

########################################################################
# The following are  the only configuration  variables which should be #
# changing for the switch between Production, Beta, and probably Dev.  #
########################################################################

# Database access hostname, and schemata for various purposes
org.starhope.appius.jdbc.host=indira-dev.tootsville.com
org.starhope.appius.jdbc.schema=Tootsville
org.starhope.appius.jdbc.zoneSchema=AppiusZones
org.starhope.appius.jdbc.storeSchema=store
org.starhope.appius.jdbc.journalSchema=userTracking

# Database access authentication
org.starhope.appius.jdbc.login=tootsvilleDBUser
org.starhope.appius.jdbc.password=DRAspeputAvuvuvegawUsw5Wrasp5thEYe2uVeW5teTretha8r

# debugging and testing
org.starhope.appius.betaTest=false
org.starhope.appius.test.ConnectionDebug=false
org.starhope.appius.debug=true

# START TOOTSVILLE! This is important to do.
org.starhope.appius.runCommands=com.tootsville.env.TootsvilleRC

# Via loader
org.starhope.appius.useViaLoader=org.starhope.catullus.Via
org.starhope.catullus.Via.vehicle=org.starhope.catullus.JavaRMIVehicle
org.starhope.catullus.serviceName=//Whitney-Dev:2774/Tootsville
org.starhope.catullus.server=false

########################################################################
# Appius Claudius Caecus Environment: Resource locations and names     #
########################################################################

# Local configuration folders
org.starhope.appius.util.Mail.template_folder=/etc/appius/mail/

# Object cache
com.whirlycott.cache.enable=true

########################################################################
# Debugging settings and administrative/operational support settings   #
########################################################################

# Bug reporting and logging settings
org.starhope.appius.mailBugs=true
org.starhope.appius.mailTo=brpocock+appius-dev@star-hope.org

# Internal filters -- not yet used -- using Hangman filters
org.starhope.appius.filter.chat=BraqueChat
org.starhope.appius.filter.login=BraqueChat

########################################################################
# Local network configuration and general Internet service locations   #
########################################################################

# Proxy for outbound HTTP requests
com.sun.www.http.proxyHost=
com.sun.www.http.proxy.port=-1

# Mail server for outbound SMTP
mail.smtp.host=localhost

# Domain Name Server for doing affirmative/direct DNS enquiries
org.starhope.appius.jndi.dns=dns://172.27.1.235:53

# JNDI name
org.starhope.appius.jndi.schema=Tootsville

# Flash authorization requires this
org.starhope.appius.topLevelDomain=tootsville.com


# General database configuration: driver and relevent options
org.starhope.appius.jdbc.driver=com.mysql.jdbc.Driver
org.starhope.appius.jdbc.dbcpEnabled=true
org.starhope.appius.jdbc.killStatements=false
org.starhope.appius.jdbc.killConnections=true
org.apache.commons.dbcp.maxActive=100
org.apache.commons.dbcp.minIdle=20
org.apache.commons.dbcp.maxIdle=40
org.apache.commons.dbcp.maxWait=25
org.apache.commons.dbcp.validationQuery=SELECT ID FROM users WHERE ID=1
org.apache.commons.dbcp.whenExhaustedAction=grow

########################################################################
# Payment gateways services configurations                             #
########################################################################

# Authorize.Net
net.authorize.avs.retryTitle=Identity fraud prevention at work
net.authorize.arbURL=https://api.authorize.net/xml/v1/request.api
net.authorize.login=3qW5TKsNka6z
net.authorize.transactionKey=376u8gFKqu5z5NaB
net.authorize.protocol.delimiter=|
net.authorize.protocol.minfields=37
net.authorize.protocol.version=3.1
net.authorize.protocol.md5kernel=wdClSs@l@jqaO~Xnn@oA
net.authorize.protocol.relay_reponse=true
net.authorize.request.require_cardcode=true
net.authorize.testMode=true

# PayPal
com.paypal.sdk.apiUsername=
com.paypal.sdk.apiPassword=
com.paypal.sdk.signature=
com.paypal.sdk.environment=

########################################################################
# Configuration to listen on specific ports as a network server        #
########################################################################

# Administrative back door
org.starhope.appius.backdoor.receiveBufferSize=1024

# timing, idling
org.starhope.appius.idleKickTime=1800000
org.starhope.appius.idleWarnTime=300000
org.starhope.appius.nudgeTime=30000
org.starhope.appius.metronomeTime=90
org.starhope.appius.dumpLiveCache=false

# Networking
org.starhope.appius.futureDatagramsMax=350
org.starhope.appius.ioDelay=5

# TCP port numbers
org.starhope.appius.net.stream=2770
org.starhope.appius.net.batch=2771
org.starhope.appius.net.backdoor=2772
org.starhope.appius.net.ws=2773

########################################################################
# Zone creation and deletion                                           #
########################################################################

# Zones
org.starhope.appius.zones.spawnSeconds=300
org.starhope.appius.zones.lightRatio=0.0
org.starhope.appius.zones.fullRatio=0.5
org.starhope.appius.zones.maxUsers=5

########################################################################
# In-game game events' configurations (including some NPC:s)           #
########################################################################

# Zap Attack
org.starhope.appius.games.countdownTime=10000
org.starhope.appius.games.playTime=60000

# Shade: shadow bullet value
com.tootsville.shade.hurts=100

# Tootlympics torch
com.tootsville.game.Tootlympics.torch.top=350
com.tootsville.game.Tootlympics.torch.bottom=400
com.tootsville.game.Tootlympics.torch.left=550
com.tootsville.game.Tootlympics.torch.right=600

# Door animation room variables
org.starhope.appius.actions.AutomaticDoor.doorAnimationPrefix=door~
org.starhope.appius.actions.AutomaticDoor.doorOpen=Over
org.starhope.appius.actions.AutomaticDoor.doorClosed=Out


########################################################################
# TootsBook configuration                                              #
########################################################################

# Tootsbook System Messages
com.tootsbook.system.event.peanuts=false
com.tootsbook.system.event.highscore=true
# FIXME: surely only one of the following pairs are needed?
com.tootsbook.system.event.images.highscore=/tootbook-resource/images/systemevents/highscore.png
com.tootsbook.system.event.images.peanuts=/tootbook-resource/images/systemevents/peanuts.png
com.tootsbook.system.event.image.highscore=/tootbook-resource/images/systemevents/highscore.png
com.tootsbook.system.event.image.peanuts=/tootbook-resource/images/systemevents/peanuts.png

com.tootsville.tootsbook.defaults.avatarBG=1358
com.tootsville.tootsbook.defaults.boxColors=1359
com.tootsville.tootsbook.defaults.icon=1360
com.tootsville.tootsbook.defaults.pageBG=1361
com.tootsville.tootsbook.defaults.titleBG=1419

# Plush Toot gift stuff. Hopefully no longer needed
com.tootsville.coupons.plushToot=false
com.tootsville.coupon.templates.freeplush=freeplushtoot
com.tootsville.coupon.templates.freeplush.subject="Redeem Your Free Plush Toot!"

# URL for Membership & Billing area
com.tootsville.members.url=https://rama-dev.tootsville.com/membership

# Extension commands (Tootsville(tm)-specific)
xtn.org.starhope.appius.game.Commands=com.tootsville.ExtensionCommands
xtn.org.starhope.appius.sys.op.OpCommands=com.tootsville.ExtensionCommands

# Specific class mapping
xtn.org.starhope.appius.user.User=com.tootsville.user.Toot

########################################################################
# Inventory  categories  (type-sets),  store  categories,  and  shops' #
# contents                                                             #
########################################################################

# Inventory types
org.starhope.appius.inventory.clothingTypes=1 2 9 10 11 12 14 15 \
	16 17 30 31 13 23
org.starhope.appius.inventory.types.clothes=9 10 11 12 14 15 16 17 30 31
org.starhope.appius.inventory.types.pivitz=1
org.starhope.appius.inventory.types.patterns=13
org.starhope.appius.inventory.types.furniture=3 4 5 29
org.starhope.appius.inventory.types.structure=6 7 8
org.starhope.appius.inventory.types.music=18
org.starhope.appius.inventory.types.tootsBook=20 24 25 26 27 28
org.starhope.appius.inventory.types.stationery=21
org.starhope.appius.inventory.types.accessories=12 16 15 31 11

# Shops' contents
org.starhope.appius.shop.clothesShop=27 28 29 30
org.starhope.appius.shop.ClothesCatalog=27 28 31 30 29 48
org.starhope.appius.shop.tootBookCatalog=46 42 43 44 45
org.starhope.appius.shop.PivitzCatalog=11 8   9 10 12 13 14 39 16
org.starhope.appius.shop.FurnitureCatalog=17 18 20 22 23 24 21 19 25
org.starhope.appius.shop.PatternCatalog=32 33 34 35 36
org.starhope.appius.shop.PivitPalsCatalog=37

# Default free items
# TODO: add default TootsBook stuff?
com.tootsville.Toot.freeStuff=808 813 814 809 812 811 810 815 \
	1072 1073 1074 1075 1938 2011 2025

########################################################################
# Bug fixes and backward-compatibility flags                          #
########################################################################

# Bug and backward-compatibility work-arounds
com.tootsville.furnItems=true
org.starhope.appius.events.format1.0=true
com.tootsville.events.callPeanuts=true
com.tootsville.bugs.noEmotes=false
com.tootsville.bugs.noPrivate=true
com.tootsville.bugs.noEarnings=true

# Walking (don't require server validation of walkspace)
org.starhope.appius.room.canWalkEverywhere=true
